Web lists-archives.com

Re: kernel nvidia dkms rebuild after upgrade?

On Sun, Jan 07, 2018 at 11:31:58PM +0000, Yao Wei wrote:
> It is caused by a missing dependency libelf-dev.
> It is already reported against linux-headers-4.14.0-3-amd64:
> https://bugs.debian.org/886474
> I have the same symptom of broadcom-sta-dkms
Interesting. I noticed the libelf dependency when building 4.15-rc6 on 
an LFS machine the other day, also driven by Meltdown, and had to 
install elfutils to get the kernel to build without errors. Looks like 
the new kernel has a dependency on that -- one reason is to use the ORC 
kernel unwinder which is the default in that version I believe. Using 
the alternative, the Frame Pointer unwinder, allows the build to happen 
but then you get complaints at modules_install time for something else 
that wants libelf too, I forget what. Installing elfutils solved all 

I hadn't seen the problem in Debian but where I run Debian I run stretch 
so just installed the stable update from stretch to fix Meltdown. Since 
my stretch machines are behind my firewall anyway my priority was to get 
my firewall patched, so if there is more to come in terms of patching 
stock Debian kernels, I am disinclined to panic.